log4c_logging_event_t(3)

NAME
log4c_logging_event_t - logging event object

SYNOPSIS

#include <logging_event.h>

Detailed Description

logging event object

Attributes description:

•   evt_category category name.
•   evt_priority priority of logging event.
•   evt_msg The application supplied message of logging event.
•   evt_buffer a pre allocated buffer to be used by layouts to format in a multi-thread environment.
•   evt_rendered_msg The application supplied message after layout format.
•   evt_timestamp The number of seconds elapsed since the epoch (1/1/1970 00:00:00 UTC) until logging event was created.
•   evt_loc The event's location information

Author
Generated automatically by Doxygen for log4c from the source code.